Subject: bug#63102: closed (Re: bug#63102: Bug Report [ latest HEAD version -- tramp-loaddefs.el.gz free variable warning ])

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 27 Apr 2023 17:47:03 +0000

Your bug report

#63102: Bug Report [ latest HEAD version -- tramp-loaddefs.el.gz free variable warning ]

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63102: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63102
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63102: Bug Report [ latest HEAD version -- tramp-loaddefs.el.gz free variable warning ]
From: Michael Albinus <[email-masked]>
To: asocial-hired.0l--- via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 27 Apr 2023 19:45:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 30.1

asocial-hired.0l--- via "Bug reports for GNU Emacs, the Swiss army knife
of text editors" <[email-masked]> writes:

> Hello,

Hi,

> I built emacs from source on Saturday (latest HEAD version — 30.0.50), and I receive the following error pop up occasionally while using shell, and also randomly other activities (always upon opening a new window):
>
> ```
> Warning (comp): tramp-loaddefs.el.gz:745:2478: Warning: reference to free variable ‘tramp-remote-path’
> ```

Thanks for the headsup. I've fixed this in master, closing the bug.

> Best,
> Emacs user

Best regards, Michael.

Subject: Bug Report [ latest HEAD version -- tramp-loaddefs.el.gz free variable warning ]
From: [email-masked]
To: [email-masked]
Date: Wed, 26 Apr 2023 13:50:36 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I built emacs from source on Saturday (latest HEAD version — 30.0.50), and I receive the following error pop up occasionally while using shell, and also randomly other activities (always upon opening a new window):

```
Warning (comp): tramp-loaddefs.el.gz:745:2478: Warning: reference to free variable ‘tramp-remote-path’
```

According to the docs, it is not necessary for `tramp-remote-path` to be set in usual cases, and I am not even using `tramp` when this error occurs. It seems to occur at random, and not always when I open eshell. It has once other time occurred when I connected to a remote using tramp, but only the once.

I used the native-comp and —without-pop flags when I built. I am on MacOS Ventura 13.3.1.

Best,
Emacs user